Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class GeoExtractor

    java.lang.Object
      org.apache.any23.extractor.html.MicroformatExtractor
          org.apache.any23.extractor.html.EntityBasedMicroformatExtractor
              org.apache.any23.extractor.html.GeoExtractor

All Implemented Interfaces:
  Extractor<Document>, Extractor.TagSoupDOMExtractor

    public class GeoExtractor

extends EntityBasedMicroformatExtractor

Extractor for the Geo microformat.

Author:
  Gabriele Renzi

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor
`Extractor.BlindExtractor, Extractor.ContentExtractor, Extractor.TagSoupDOMExtractor`

Field Summary
`static ExtractorFactory<GeoExtractor>` | `factory`

Fields inherited from class org.apache.any23.extractor.html.MicroformatExtractor
`BEGIN_SCRIPT, END_SCRIPT, valueFactory`

Constructor Summary
`GeoExtractor()`

Method Summary
`protected boolean` | `extractEntity(Node node, ExtractionResult out)` Extracts an entity from a DOM node.
`protected String` | `getBaseClassName()` Returns the base class name for the extractor.
`ExtractorDescription` | `getDescription()` Returns the description of this extractor.
`protected void` | `resetExtractor()` Resets the internal status of the extractor to prepare it to a new extraction section.

Methods inherited from class org.apache.any23.extractor.html.EntityBasedMicroformatExtractor
`extract, getBlankNodeFor`

Methods inherited from class org.apache.any23.extractor.html.MicroformatExtractor
`addBNodeProperty, addBNodeProperty, addURIProperty, conditionallyAddLiteralProperty, conditionallyAddResourceProperty, conditionallyAddStringProperty, fixLink, fixLink, getCurrentExtractionResult, getDocumentURI, getExtractionContext, getHTMLDocument, includes, openSubResult, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    public static final ExtractorFactory<GeoExtractor> factory

Constructor Detail

### GeoExtractor

    public GeoExtractor()

Method Detail

### getDescription

    public ExtractorDescription getDescription()

  Description copied from class: `MicroformatExtractor`
  Returns the description of this extractor.

  Specified by:
    `getDescription` in interface `Extractor<Document>`
  Specified by:
    `getDescription` in class `MicroformatExtractor`
  Returns:
    a human readable description.

### getBaseClassName

    protected String getBaseClassName()

  Description copied from class: `EntityBasedMicroformatExtractor`
  Returns the base class name for the extractor.

  Specified by:
    `getBaseClassName` in class `EntityBasedMicroformatExtractor`
  Returns:
    a string containing the base of the extractor.

### resetExtractor

    protected void resetExtractor()

  Description copied from class: `EntityBasedMicroformatExtractor`
  Resets the internal status of the extractor to prepare it to a new extraction section.

  Specified by:
    `resetExtractor` in class `EntityBasedMicroformatExtractor`

### extractEntity

    protected boolean extractEntity(Node node,
                                    ExtractionResult out)

  Description copied from class: `EntityBasedMicroformatExtractor`
  Extracts an entity from a DOM node.

  Specified by:
    `extractEntity` in class `EntityBasedMicroformatExtractor`
  Parameters:
    `node` - the DOM node.
    `out` - the extraction result collector.
  Returns:
    `true` if the extraction has produces something, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.